vennaVenna

Files

File upload and lifecycle.

Not yet implemented
GET
/v1/files
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/files"
{  "data": [    {      "bytes": 0,      "created_at": 0,      "filename": "string",      "id": "string",      "object": "file",      "purpose": "fine-tune"    }  ],  "object": "list"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
POST
/v1/files
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/files" \  -F file="string" \  -F purpose="fine-tune"
{  "bytes": 0,  "created_at": 0,  "filename": "string",  "id": "string",  "object": "file",  "purpose": "fine-tune"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/files/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/files/abc"
{  "bytes": 0,  "created_at": 0,  "filename": "string",  "id": "string",  "object": "file",  "purpose": "fine-tune"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
DELETE
/v1/files/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/files/abc"
{  "deleted": true,  "id": "string",  "object": "file"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/files/{id}/content
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/octet-stream

application/json

curl -X GET "https://example.com/v1/files/abc/content"
"string"
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}